CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Installation on Windows, Mac and other Unsupported Platforms

Patches to compile OpenFOAM 2.2 on Mac OS X

Register Blogs Members List Search Today's Posts Mark Forums Read

Like Tree20Likes

Reply
 
LinkBack Thread Tools Display Modes
Old   December 4, 2013, 08:59
Default
  #101
New Member
 
karlvirgil's Avatar
 
Join Date: Jul 2009
Location: Wrentham, MA
Posts: 8
Rep Power: 8
karlvirgil is on a distinguished road
Quote:
Originally Posted by karlvirgil View Post
I have installed OpenFOAM-2.2.x on OS 10.9 (Mavericks). Everything installed fine, and serial openFoam jobs run fine. However, parallel jobs don't run. They stall upon initialization. They don't crash or output any error messages. I've figured out that they all stall on the MPI::Init() call. I am using the macports version of openmpi:
openmpi @1.7.3_0+gcc48 (active) platform='darwin 13' archs='x86_64'

Has anyone experienced similar issues upon upgrading to Mac OS 10.9?

Karl
I found out that my issue with running in parallel was related to having installed a third-party firewall software (DoorStop X). Disabling the firewall allows parallel computations without any problem. This seems to be purely an openmpi issue. I'm currently working with the openmpi guys to help resolve the issue. If interested, you can follow the thread here: http://www.open-mpi.org/community/li...3/12/23146.php
karlvirgil is offline   Reply With Quote

Old   January 30, 2014, 23:16
Default Trouble Installing OpenFOAM on Mavericks
  #102
New Member
 
Join Date: Jan 2014
Posts: 1
Rep Power: 0
sachen is on a distinguished road
Hi,

I'm using Mavericks on my machine and I have been having trouble installing OpenFOAM. I followed the steps on http://openfoamwiki.net/index.php/In...OpenFOAM_2.2.2
up until step 4 of Section 4.2.

My OF directory looks different from what it should look like:

Sues-MacBook-Pro:OpenFOAM suechen$ ls -al
total 177344
drwxr-xr-x 6 suechen staff 578 31 Jan 14:07 .
drwxrwxrwt@ 4 root admin 136 31 Jan 13:53 ..
-rw-r--r--@ 1 suechen staff 6148 31 Jan 14:07 .DS_Store
d-wx-wx-wt 2 suechen staff 68 31 Jan 13:53 .Trashes
drwx------ 2 suechen staff 476 31 Jan 14:07 .fseventsd
drwxr-xr-x@ 9 suechen staff 544 3 Oct 20:28 OpenFOAM-2.2.2
-rw-r--r--@ 1 suechen staff 32536146 28 Jan 15:24 OpenFOAM-2.2.2.tgz
-rw-r--r--@ 1 suechen staff 41620 28 Jan 16:58 OpenFOAM-2.2.x_Mac-20130309.patch
lrwxr-xr-x 1 suechen staff 24 31 Jan 14:07 OpenFOAM-v2.2.2 -> /Volumes/OpenFOAM-v2.2.2
-rw-r--r--@ 1 suechen staff 691 31 Jan 14:06 SurfaceCGALFix.patch
drwxr-x---@ 6 suechen staff 714 4 Oct 20:57 ThirdParty-2.2.2
-rw-r--r--@ 1 suechen staff 58193818 28 Jan 15:26 ThirdParty-2.2.2.tgz
-rw-r--r--@ 1 suechen staff 2686 31 Jan 13:58 ThirdParty-2.2_Mac-20130309.patch

When I attempted to do step 5 (moving the patches into the right folders), I get the following error:

Sues-MacBook-Pro:OpenFOAM suechen$ mv OpenFOAM-2.2.x_Mac-20130309 OpenFOAM-2.2.2
mv: rename OpenFOAM-2.2.x_Mac-20130309 to OpenFOAM-2.2.2/OpenFOAM-2.2.x_Mac-20130309: No such file or directory

Could anyone advise me on what I've done wrong or what I could possibly do to go ahead with my installation?

Thanks heaps!
sachen is offline   Reply With Quote

Old   January 31, 2014, 03:53
Default
  #103
New Member
 
Ruben Di Battista
Join Date: May 2013
Location: Milan
Posts: 29
Rep Power: 4
tidusuper91 is on a distinguished road
Quote:
Originally Posted by sachen View Post
Hi,

I'm using Mavericks on my machine and I have been having trouble installing OpenFOAM. I followed the steps on http://openfoamwiki.net/index.php/In...OpenFOAM_2.2.2
up until step 4 of Section 4.2.

My OF directory looks different from what it should look like:

Sues-MacBook-Pro:OpenFOAM suechen$ ls -al
total 177344
drwxr-xr-x 6 suechen staff 578 31 Jan 14:07 .
drwxrwxrwt@ 4 root admin 136 31 Jan 13:53 ..
-rw-r--r--@ 1 suechen staff 6148 31 Jan 14:07 .DS_Store
d-wx-wx-wt 2 suechen staff 68 31 Jan 13:53 .Trashes
drwx------ 2 suechen staff 476 31 Jan 14:07 .fseventsd
drwxr-xr-x@ 9 suechen staff 544 3 Oct 20:28 OpenFOAM-2.2.2
-rw-r--r--@ 1 suechen staff 32536146 28 Jan 15:24 OpenFOAM-2.2.2.tgz
-rw-r--r--@ 1 suechen staff 41620 28 Jan 16:58 OpenFOAM-2.2.x_Mac-20130309.patch
lrwxr-xr-x 1 suechen staff 24 31 Jan 14:07 OpenFOAM-v2.2.2 -> /Volumes/OpenFOAM-v2.2.2
-rw-r--r--@ 1 suechen staff 691 31 Jan 14:06 SurfaceCGALFix.patch
drwxr-x---@ 6 suechen staff 714 4 Oct 20:57 ThirdParty-2.2.2
-rw-r--r--@ 1 suechen staff 58193818 28 Jan 15:26 ThirdParty-2.2.2.tgz
-rw-r--r--@ 1 suechen staff 2686 31 Jan 13:58 ThirdParty-2.2_Mac-20130309.patch

When I attempted to do step 5 (moving the patches into the right folders), I get the following error:

Sues-MacBook-Pro:OpenFOAM suechen$ mv OpenFOAM-2.2.x_Mac-20130309 OpenFOAM-2.2.2
mv: rename OpenFOAM-2.2.x_Mac-20130309 to OpenFOAM-2.2.2/OpenFOAM-2.2.x_Mac-20130309: No such file or directory

Could anyone advise me on what I've done wrong or what I could possibly do to go ahead with my installation?

Thanks heaps!
First,You created a wrong symlink inside the OpenFOAM space

Try, inside the directory you posted
Code:
unlink OpenFOAM-v2.2.2
You forgot a .patch (as suggested on the tutorial remember to use TAB for auto-completion)
Code:
mv OpenFOAM-2.2.x_Mac-20130309.patch OpenFOAM-2.2.2
PS: Embed terminal commands you use, in the forum post, inside [CODE] tags.

PPS: Corrected the mistake on the Wiki.
tidusuper91 is offline   Reply With Quote

Old   February 8, 2014, 22:54
Default
  #104
New Member
 
Ruben Di Battista
Join Date: May 2013
Location: Milan
Posts: 29
Rep Power: 4
tidusuper91 is on a distinguished road
This to gschaider:

It seems they changed the executables names in the openmpi portfile on Macports.
If you can, when you can, can you check it and, if needed, update patches (in particular when the MPI variable is set to use the local openmpi installed version)?

https://trac.macports.org/log/trunk/...mpi?rev=116861
tidusuper91 is offline   Reply With Quote

Old   February 13, 2014, 19:56
Default
  #105
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,915
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by tidusuper91 View Post
This to gschaider:

It seems they changed the executables names in the openmpi portfile on Macports.
If you can, when you can, can you check it and, if needed, update patches (in particular when the MPI variable is set to use the local openmpi installed version)?

https://trac.macports.org/log/trunk/...mpi?rev=116861
I noticed.

The update struck me in the middle of some other work. I have the modified patches almost ready and will publish them on the weekend
__________________
Note: I don't use "Friend"-feature on this forum out of principle. Ah. And by the way: I'm not on Facebook either. So don't be offended if I don't accept your invitation/friend request
gschaider is offline   Reply With Quote

Old   February 13, 2014, 20:46
Default
  #106
New Member
 
Ruben Di Battista
Join Date: May 2013
Location: Milan
Posts: 29
Rep Power: 4
tidusuper91 is on a distinguished road
Quote:
Originally Posted by gschaider View Post
I noticed.

The update struck me in the middle of some other work. I have the modified patches almost ready and will publish them on the weekend
Thanks for your support gschaider.
tidusuper91 is offline   Reply With Quote

Old   February 19, 2014, 11:27
Default
  #107
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,915
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by gschaider View Post
I noticed.

The update struck me in the middle of some other work. I have the modified patches almost ready and will publish them on the weekend
OK. "Weekend". Of course I meant "Wednesday". Starts with a W, too.

At first: this is the last set of patches for 2.2 as this week 2.3 came out and experience has shown that 2.2.x won't change after that.

The two patches (OpenFOAM and ThirdParty) with dates in the name are the complete patches. For those who already have the latest patches applied there are 4 patches (one for ThirdParty, three for the distro) that can be applied separately (one patch will be in the next reply as the MessageBoard only allows a maximum of 5 attachements). Don't try to apply the full patch if you already have a patch installed as this will probably break (in the etc/*-files)

With these patches the new organization of MPI-installations in MacPorts is supported. By looking at /opt/local/bin/mpicc it will be determined which MPI-version (either a flavour of OpenMPI and MPICH) you are using. This will be used as the default (you can override this choice with the variable WM_CHOSEN_MAC_MPI). Beware that MPICH wants a flavour that fits the used compiler.

for WM_COMPILER you can choose (have to choose, otherwise the Apple-compiler will be used) GccXX (with XX being 48, 47 etc), ClangXX (XX is 35, 34, etc) or DragoneggXX (XX same as Clang. Dragonegg is a Gcc-frontend with LLVM-backend). The fitting compiler and MPI-implementation has to be installed via MacPorts (as described in http://openfoamwiki.net/index.php/In...OpenFOAM_2.2.2)

I used OpenMPI and Gcc46 and tested compilation with Clang34 and Dragonegg34 and MPICH.

Attachment 28760

Attachment 28761

Attachment 28762

Attachment 28763

Attachment 28764
__________________
Note: I don't use "Friend"-feature on this forum out of principle. Ah. And by the way: I'm not on Facebook either. So don't be offended if I don't accept your invitation/friend request
gschaider is offline   Reply With Quote

Old   February 19, 2014, 11:31
Default
  #108
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,915
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by gschaider View Post
The two patches (OpenFOAM and ThirdParty) with dates in the name are the complete patches. For those who already have the latest patches applied there are 4 patches (one for ThirdParty, three for the distro) that can be applied separately (one patch will be in the next reply as the MessageBoard only allows a maximum of 5 attachements). Don't try to apply the full patch if you already have a patch installed as this will probably break (in the etc/*-files)
OK. Attachments seem to broken. Here are the two full patch:

OpenFOAM-2.2.x-Mac_2014-02-17.patch
ThirdParty-2.2.x-Mac_2014-02-17.patch
alap likes this.
__________________
Note: I don't use "Friend"-feature on this forum out of principle. Ah. And by the way: I'm not on Facebook either. So don't be offended if I don't accept your invitation/friend request
gschaider is offline   Reply With Quote

Old   February 19, 2014, 11:33
Default
  #109
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,915
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by gschaider View Post
OK. Attachments seem to broken. Here are the two full patch:
And here the 3+1 "afterpatches":

newMacPortsMPIThirdParty.patch

SurfaceCGALFix.patch

newMacPortsMpi.patch

fixCodeBase.patch
__________________
Note: I don't use "Friend"-feature on this forum out of principle. Ah. And by the way: I'm not on Facebook either. So don't be offended if I don't accept your invitation/friend request
gschaider is offline   Reply With Quote

Old   February 19, 2014, 13:52
Default
  #110
New Member
 
Michael
Join Date: Dec 2011
Location: Geneva
Posts: 28
Rep Power: 5
lithos is on a distinguished road
Dear Bernhard,
thank you very much for preparing the patches every time. It helps a lot.
Cheers,
Michael
lithos is offline   Reply With Quote

Old   February 20, 2014, 15:52
Default Error while applying patch
  #111
New Member
 
Boka
Join Date: Nov 2013
Posts: 1
Rep Power: 0
jsaikat is on a distinguished road
While applying the OpenFOAM-2.2.x-Mac_2014-02-17.patch file I got the following error:


boxing2:OpenFOAM-2.2.2 TheLostCity$ patch -p1 <OpenFOAM-2.2.x-Mac_2014-02-17.patch
patching file applications/solvers/combustion/fireFoam/Make/options
patching file applications/solvers/compressible/rhoSimpleFoam/rhoSimplecFoam/Make/options
patching file applications/solvers/incompressible/adjointShapeOptimizationFoam/Make/options
patching file applications/solvers/incompressible/simpleFoam/SRFSimpleFoam/Make/options
can't find file to patch at input line 57
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git a/applications/solvers/lagrangian/DPMFoam/Make/options b/applications/solvers/lagrangian/DPMFoam/Make/options
|--- a/applications/solvers/lagrangian/DPMFoam/Make/options
|+++ b/applications/solvers/lagrangian/DPMFoam/Make/options
--------------------------
File to patch:



Can anyone help me? Sorry I am a newbie to Openfoam.

Thanks
jsaikat is offline   Reply With Quote

Old   February 20, 2014, 17:56
Default
  #112
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,915
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by jsaikat View Post
While applying the OpenFOAM-2.2.x-Mac_2014-02-17.patch file I got the following error:


boxing2:OpenFOAM-2.2.2 TheLostCity$ patch -p1 <OpenFOAM-2.2.x-Mac_2014-02-17.patch
patching file applications/solvers/combustion/fireFoam/Make/options
patching file applications/solvers/compressible/rhoSimpleFoam/rhoSimplecFoam/Make/options
patching file applications/solvers/incompressible/adjointShapeOptimizationFoam/Make/options
patching file applications/solvers/incompressible/simpleFoam/SRFSimpleFoam/Make/options
can't find file to patch at input line 57
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git a/applications/solvers/lagrangian/DPMFoam/Make/options b/applications/solvers/lagrangian/DPMFoam/Make/options
|--- a/applications/solvers/lagrangian/DPMFoam/Make/options
|+++ b/applications/solvers/lagrangian/DPMFoam/Make/options
--------------------------
File to patch:



Can anyone help me? Sorry I am a newbie to Openfoam.

Thanks
That solver was added on the 10th of November to the git repository. Check the release date of 2.2.2 (guess it is before that so the solver can't be init).
Tell patch to skip that file and everything should be fine
__________________
Note: I don't use "Friend"-feature on this forum out of principle. Ah. And by the way: I'm not on Facebook either. So don't be offended if I don't accept your invitation/friend request
gschaider is offline   Reply With Quote

Old   February 25, 2014, 04:30
Default Homebrew & Mavericks
  #113
New Member
 
Adrien
Join Date: Feb 2013
Location: Switzerland
Posts: 2
Rep Power: 0
Mithrandirrr is on a distinguished road
Hi,

In case anyone is interested, I could compile OpenFOAM 2.2.2 on Mac OS 10.9 using Homebrew instead of Macports and gcc 4.8. I basically followed the instructions on http://openfoamwiki.net/index.php/In...OpenFOAM_2.2.2, with some modifications which I am outlining here. I'm not an expert, so some steps can certainly be improved (or skipped).

Install gcc48, openmpi, boost, cgal, ccache, flex and bison with e.g.
Code:
brew install boost
For gcc48, install with the option --enable-all-languages so that the corresponding gfortran also gets installed. Before installing openmpi, unset the environment variable FC.
Code:
export FC=
XCode ships with an older version of flex that should be (re)moved (the library does not compile with that version)
Code:
sudo mv /usr/bin/flex /usr/bin/flex_xcode
The latest version of flex should be linked into /usr/local/
Code:
brew link flex
Some changes in etc/bashrc are needed:
Code:
export WM_COMPILER=Gcc48
...
export WM_CC='gcc-4.8'
export WM_CXX='g++-4.8'
In etc/config/settings.sh, comment two lines in the section for users without Macports
Code:
echo "Seems you're not using MacPorts. This is currently not supported/tested. Find this line in 'etc/config/settings.sh', modify it accordingly and send patches to Bernhard"
# export WM_COMPILER=
# export WM_MPLIB=OPENMPI
and in the section 'location of compiler installation', add the block
Code:
    
    Gcc48)
        gcc_version=gcc-4.8.2
        gmp_version=gmp-5.0.4
        mpfr_version=mpfr-3.1.0
        mpc_version=mpc-0.9
        ;;
In the patch for the OpenFOAM distribution (e.g., OpenFOAM-2.2.x_Mac-20130309.patch), replace openmpicc by mpicc (openmpicc is for the MacPort openmpi).

Add a symbolic link for a flex header file so that OpenFOAM finds it.
Code:
ln -s /usr/local/Cellar/flex/2.5.37/include/FlexLexer.h $WM_PROJECT_DIR/src/OpenFOAM/FlexLexer.h
Add some more symbolic links in $WM_PROJECT_DIR/wmake/rules:
Code:
ln -s darwinIntel64 darwinIntel64Gcc
ln -s darminIntel64Gcc48 darwinIntel64Gcc
In the following subdirectories of $WM_PROJECT_DIR, delete commented lines in Make/options files that make the preprocessor stall (though this may have been addressed in newer patches).

Code:
src/fvOptions
applications/utilities/miscellaneous/foamDebugSwitches, 
applications/utilities/postProcessing/dataConversion/foamToEnsight
applications/utilities/mesh/generation/snappyHexMesh
applications/utilities/mesh/manipulation/renumberMesh
Finally, in applications/utilities/postProcessing/turbulence/R, add the lines
Code:
-lincompressibleTurbulenceModel \
-lcompressibleTurbulenceModel \
I hope this can help!

Cheers,
Adrien

Last edited by Mithrandirrr; February 25, 2014 at 09:18.
Mithrandirrr is offline   Reply With Quote

Old   February 28, 2014, 23:12
Default mpicc: command not found
  #114
New Member
 
Brian Weeks
Join Date: Feb 2014
Location: NYC
Posts: 4
Rep Power: 3
bweeks is on a distinguished road
Thanks for the patches- I'm shell-preliterate so please excuse what may be a simple question:

I've been following the OpenFOAM installation instructions for 2.2.2 found here.

I'm good up 'till step #9 where I get the error
Code:
-bash mpicc: command not found
I'm assuming that the
newMacPortsMPIThirdParty.patch &
newMacPortsMpi.patch
patches you posted may deal with this problem. The question from me then is: where (in what folder) do I apply these patches?

Also, in searching for a solution I came across this discussion which seems to deal with some similar problems (I had a similar problem as described in #5 and installed openmpi-default). It was suggested (#10) that a few other symlinks could be created, which I did to no effect. For spits'n'giggles I attempted to create a symlink between mpicc and mpicc-openmpi-mp... which wasn't allowed.

Anyways... if you can point me in the right direction, it would be much appreciated. Thanks!
bweeks is offline   Reply With Quote

Old   March 1, 2014, 08:24
Default
  #115
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,915
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by bweeks View Post
Thanks for the patches- I'm shell-preliterate so please excuse what may be a simple question:

I've been following the OpenFOAM installation instructions for 2.2.2 found here.

I'm good up 'till step #9 where I get the error
Code:
-bash mpicc: command not found
I'm assuming that the
newMacPortsMPIThirdParty.patch &
newMacPortsMpi.patch
patches you posted may deal with this problem. The question from me then is: where (in what folder) do I apply these patches?

Also, in searching for a solution I came across this discussion which seems to deal with some similar problems (I had a similar problem as described in #5 and installed openmpi-default). It was suggested (#10) that a few other symlinks could be created, which I did to no effect. For spits'n'giggles I attempted to create a symlink between mpicc and mpicc-openmpi-mp... which wasn't allowed.

Anyways... if you can point me in the right direction, it would be much appreciated. Thanks!
With the "full" patch at Patches to compile OpenFOAM 2.2 on Mac OS X the "newMacPorts"-patches are already included. These are only for the people who already have a patched installation.

The symlink mpicc that points to the "used" MPI-implementation is administrated through "port select mpi" (you'll have to sudo). Check "port help select" for usage. I was under the impression that MacPorts does this automatically for the first mpi you install but I might be wrong. And I have no way of checking without deinstalling/reinstalling half of the MacPorts-stuff on my notebook. You'll have to experiment.

Anyway: only set those symlinks with "port select". Everything else will lead to problems during later upgrades
bweeks likes this.
__________________
Note: I don't use "Friend"-feature on this forum out of principle. Ah. And by the way: I'm not on Facebook either. So don't be offended if I don't accept your invitation/friend request
gschaider is offline   Reply With Quote

Old   March 2, 2014, 19:57
Default
  #116
New Member
 
Brian Weeks
Join Date: Feb 2014
Location: NYC
Posts: 4
Rep Power: 3
bweeks is on a distinguished road
Thanks for that.

The only choice available was for 'openmpi-mp-fortran'

...fortran(!?)

dug around the web some more and found that users had been given the following message when they installed openmpi-default:
Code:
+--- OpenMPI Usage note ----
| The mpi[cc|cxx|f77|f90] weappers are installed as
| mpi[cc|cxx|f77|f90]-mp. To make openmpi-default the default (i.e. the
| version you get when you run 'mpicc/mpicxx'), please run:
|
| sudo port select --set mpi openmpi-mp-fortran
+-------------------------
Did as you (and this message) advised and moved on to wrestling with compiling errors.

Sweet.

Thanks again for generating the patches and maintaining this thread.
bweeks is offline   Reply With Quote

Old   March 3, 2014, 00:25
Default
  #117
New Member
 
Ruben Di Battista
Join Date: May 2013
Location: Milan
Posts: 29
Rep Power: 4
tidusuper91 is on a distinguished road
Updated the patches links on the wiki.
tidusuper91 is offline   Reply With Quote

Old   March 3, 2014, 00:26
Default
  #118
New Member
 
Ruben Di Battista
Join Date: May 2013
Location: Milan
Posts: 29
Rep Power: 4
tidusuper91 is on a distinguished road
Quote:
Originally Posted by tidusuper91 View Post
Updated the patches links on the wiki.
PS: I created a page on my blog where I'll try to mirror all the patches and useful things for OF on Mac OSX (http://tidusuper91.altervista.org/bl...m-per-mac-osx/)
tidusuper91 is offline   Reply With Quote

Old   March 8, 2014, 07:24
Default Patch Problems
  #119
New Member
 
Brian Weeks
Join Date: Feb 2014
Location: NYC
Posts: 4
Rep Power: 3
bweeks is on a distinguished road
Hello Again-

I was running into too many problems compiling, so I scrapped the whole thing and started over fresh.

I'm installing the Latest OpenFOAM patch from #108 and I get the following errors.

Code:
patching file src/OpenFOAM/db/dynamicLibrary/codedBase/codedBase.C
Hunk #1 FAILED at 228.
Hunk #2 FAILED at 246.
Hunk #3 FAILED at 266.
Hunk #4 FAILED at 279.
4 out of 4 hunks FAILED -- saving rejects to file src/OpenFOAM/db/dynamicLibrary/codedBase/codedBase.C.rej
Should I be concerned? I'm attaching the .rej file.

Thanks again.
Attached Files
File Type: txt codedBase.C.rej.txt (3.2 KB, 2 views)
bweeks is offline   Reply With Quote

Old   March 9, 2014, 19:29
Default
  #120
Assistant Moderator
 
Bernhard Gschaider
Join Date: Mar 2009
Posts: 3,915
Rep Power: 40
gschaider will become famous soon enoughgschaider will become famous soon enough
Quote:
Originally Posted by bweeks View Post
Hello Again-

I was running into too many problems compiling, so I scrapped the whole thing and started over fresh.

I'm installing the Latest OpenFOAM patch from #108 and I get the following errors.

Code:
patching file src/OpenFOAM/db/dynamicLibrary/codedBase/codedBase.C
Hunk #1 FAILED at 228.
Hunk #2 FAILED at 246.
Hunk #3 FAILED at 266.
Hunk #4 FAILED at 279.
4 out of 4 hunks FAILED -- saving rejects to file src/OpenFOAM/db/dynamicLibrary/codedBase/codedBase.C.rej
Should I be concerned? I'm attaching the .rej file.

Thanks again.
What version of OF are you patching? I think the changes that it patches only are in more recent version of 2.2.x but not in the releases
__________________
Note: I don't use "Friend"-feature on this forum out of principle. Ah. And by the way: I'm not on Facebook either. So don't be offended if I don't accept your invitation/friend request
gschaider is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
Superlinear speedup in OpenFOAM 13 msrinath80 OpenFOAM Running, Solving & CFD 18 March 3, 2015 06:36
Problem when installing Openfoam 2.0.x with mac giovaniharyadi OpenFOAM Installation 0 March 24, 2012 19:45
Modified OpenFOAM Forum Structure and New Mailing-List pete Site News & Announcements 0 June 29, 2009 05:56
The OpenFOAM extensions project mbeaudoin OpenFOAM 16 October 9, 2007 09:33
OpenFOAM Debian packaging current status problems and TODOs oseen OpenFOAM Installation 9 August 26, 2007 13:50


All times are GMT -4. The time now is 12:25.